Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.any23.extractor.rdf
Class RDFHandlerAdapter

    java.lang.Object
      org.apache.any23.extractor.rdf.RDFHandlerAdapter

All Implemented Interfaces:
  org.openrdf.rio.RDFHandler

    public class RDFHandlerAdapter

extends Object
implements org.openrdf.rio.RDFHandler

An RDFHandler that relays statements and prefix definitions to an `ExtractionResult`. Used to feed output from Sesame's RDF parsers into Any23.

Author:
  Richard Cyganiak (richard@cyganiak.de)

Constructor Summary
`RDFHandlerAdapter(ExtractionResult target)`

Method Summary
`void` | `endRDF()`
`void` | `handleComment(String comment)`
`void` | `handleNamespace(String prefix, String uri)`
`void` | `handleStatement(org.openrdf.model.Statement stmt)`
`void` | `startRDF()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RDFHandlerAdapter

    public RDFHandlerAdapter(ExtractionResult target)

Method Detail

### startRDF

    public void startRDF()
                  throws org.openrdf.rio.RDFHandlerException

  Specified by:
    `startRDF` in interface `org.openrdf.rio.RDFHandler`
  Throws:
    `org.openrdf.rio.RDFHandlerException`

### handleNamespace

    public void handleNamespace(String prefix,
                                String uri)

  Specified by:
    `handleNamespace` in interface `org.openrdf.rio.RDFHandler`

### handleStatement

    public void handleStatement(org.openrdf.model.Statement stmt)

  Specified by:
    `handleStatement` in interface `org.openrdf.rio.RDFHandler`

### handleComment

    public void handleComment(String comment)

  Specified by:
    `handleComment` in interface `org.openrdf.rio.RDFHandler`

### endRDF

    public void endRDF()
                throws org.openrdf.rio.RDFHandlerException

  Specified by:
    `endRDF` in interface `org.openrdf.rio.RDFHandler`
  Throws:
    `org.openrdf.rio.RDFHandlerException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.